Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.concurrent
Class StageManager

    java.lang.Object
      org.apache.cassandra.concurrent.StageManager

    public class StageManager

extends java.lang.Object

This class manages executor services for Messages recieved: each Message requests running on a specific "stage" for concurrency control; hence the Map approach, even though stages (executors) are not created dynamically.

Field Summary
`static java.lang.String` | `AE_SERVICE_STAGE`
`static java.lang.String` | `GOSSIP_STAGE`
`static java.lang.String` | `MUTATION_STAGE`
`static java.lang.String` | `READ_STAGE`
`static java.lang.String` | `RESPONSE_STAGE`
`static java.lang.String` | `STREAM_STAGE`

Constructor Summary
`StageManager()`

Method Summary
`static java.util.concurrent.ThreadPoolExecutor` | `getStage(java.lang.String stageName)` Retrieve a stage from the StageManager
`static void` | `shutdownNow()` This method shuts down all registered stages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READ_STAGE

    public static final java.lang.String READ_STAGE

See Also:
  Constant Field Values

### MUTATION_STAGE

    public static final java.lang.String MUTATION_STAGE

See Also:
  Constant Field Values

### STREAM_STAGE

    public static final java.lang.String STREAM_STAGE

See Also:
  Constant Field Values

### GOSSIP_STAGE

    public static final java.lang.String GOSSIP_STAGE

See Also:
  Constant Field Values

### RESPONSE_STAGE

    public static final java.lang.String RESPONSE_STAGE

See Also:
  Constant Field Values

### AE_SERVICE_STAGE

    public static final java.lang.String AE_SERVICE_STAGE

See Also:
  Constant Field Values

Constructor Detail

### StageManager

    public StageManager()

Method Detail

### getStage

    public static java.util.concurrent.ThreadPoolExecutor getStage(java.lang.String stageName)

  Retrieve a stage from the StageManager

  Parameters:
    `stageName` - name of the stage to be retrieved.

### shutdownNow

    public static void shutdownNow()

  This method shuts down all registered stages.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation